Bug 152456 - Fix port: sysutils/busybox Stop breakage on FreeBSD 8+
Summary: Fix port: sysutils/busybox Stop breakage on FreeBSD 8+
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-21 19:20 UTC by Chris Rees
Modified: 2011-01-14 10:00 UTC (History)
0 users

See Also:


Attachments
busybox.vi.c.diff (1.64 KB, patch)
2010-12-14 22:21 UTC, Chris Rees
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2010-11-21 19:20:07 UTC
	Busybox has been broken for a while since FreeBSD implemented dprintf in ~8.0. This patch renames the BusyBox function and so removes the collision.

Fix: From http://lists.busybox.net/pipermail/busybox/2005-October/050803.html

	Rename the function bb_dprintf



-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--ClTYqq18lo6cTovUJdSUcAAQVsVAb5aRxsIyZTNFJkvFb4mH
Content-Type: text/plain; name="busybox.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="busybox.diff"

diff -ruN busybox.orig/Makefile busybox/Makefile
--- busybox.orig/Makefile	2010-11-21 16:26:46.000000000 +0000
+++ busybox/Makefile	2010-11-21 18:57:07.000000000 +0000
@@ -25,10 +25,12 @@
 
 .if ${ARCH} == "amd64"
 BROKEN=		does not compile
-.elif ${OSVERSION} >= 800000
-BROKEN=		does not compile
 .endif
 
+post-patch:
+	find ${WRKSRC} -name '*.[ch]' | ${XARGS} \
+		${REINPLACE_CMD} -e 's/ dprintf(/ bb_dprintf(/g' 
+
 do-configure:
 	${CP} ${FILESDIR}/data-.config ${WRKSRC}/.config
 	cd ${WRKSRC} && ${GMAKE} oldconfig
How-To-Repeat: 	cd ${PORTSDIR}/sysutils/busybox && make TRYBROKEN=yes
Comment 1 Edwin Groothuis freebsd_committer 2010-11-21 19:20:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->luigi

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2010-12-03 20:48:50 UTC
Class Changed
From-To: sw-bug->maintainer-update

luigi has agreed to let Chris become the new maintainer, so, reclassify. 


Comment 3 Mark Linimon freebsd_committer freebsd_triage 2010-12-03 20:48:50 UTC
Responsible Changed
From-To: luigi->freebsd-ports-bugs
Comment 4 Chris Rees 2010-12-14 22:21:37 UTC
Another addition; apparently busybox relies on memrchr, so this is
added for anyone on (still supported) 7.0

Chris
Comment 5 Chris Rees 2010-12-14 22:23:42 UTC
On 14 December 2010 22:21, Chris Rees <utisoft@gmail.com> wrote:
> Another addition; apparently busybox relies on memrchr, so this is
> added for anyone on (still supported) 7.0
>
> Chris
>

Contributed by Ivan Dimitrov by the way
Comment 6 Chris Rees 2010-12-15 22:38:40 UTC
On 14 December 2010 22:23, Chris Rees <utisoft@gmail.com> wrote:
> On 14 December 2010 22:21, Chris Rees <utisoft@gmail.com> wrote:
>> Another addition; apparently busybox relies on memrchr, so this is
>> added for anyone on (still supported) 7.0
>>
>> Chris
>>
>
> Contributed by Ivan Dimitrov by the way
>

Last one, I promise, forgot the param.h include.

It's at http://www.bayofrum.net/~chris/patches/busybox.vi.c.diff

Chris
Comment 7 Philip M. Gollucci freebsd_committer 2010-12-16 20:56:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I will take it.
Comment 8 Philip M. Gollucci freebsd_committer 2011-01-12 00:59:07 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

E-NO-TIME right now, back to pool
Comment 9 dfilter service freebsd_committer 2011-01-14 09:59:21 UTC
arved       2011-01-14 09:59:17 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/busybox     Makefile 
  Added files:
    sysutils/busybox/files patch-editors-vi.c 
                           patch-include-platform.h 
  Log:
  [1]Unbreak on 8.0 by renaming conflicting function dprintf to bb_dprintf
  [2]Add memrchr() function for FreeBSD 7.x
  
  PR:             152456
  Submitted by:   maintainer[1], Ivan Dimitrov[2]
  Feature safe:   yes
  
  Unbreak on amd64 while here.
  
  Revision  Changes    Path
  1.7       +3 -5      ports/sysutils/busybox/Makefile
  1.1       +34 -0     ports/sysutils/busybox/files/patch-editors-vi.c (new)
  1.1       +17 -0     ports/sysutils/busybox/files/patch-include-platform.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Tilman Keskinoz freebsd_committer 2011-01-14 09:59:30 UTC
State Changed
From-To: open->closed

committed, thanks.